Energyhub
Explore the Energyhub API endpoints.
List energyhub profiles
Endpoint for GET /v1/energyhub-profiles.
Query parameters
- Name
page- Type
- number
- required
- Description
No description available.
- Name
limit- Type
- number
- required
- Description
No description available.
Response
Request
curl -G https://api.enhub.nl/v1/energyhub-profiles \
-H "x-api-key: {your-api-key}"
Response
{
"items": [
{
"id": "string",
"name": "string",
"baseProfileType": "string",
"baseProfileName": "string",
"totalKwh": 0,
"peakKw": 0,
"totalExportKwh": 0,
"peakExportKw": 0,
"layerCount": 0,
"hasSolarLayer": true,
"year": 0,
"lat": 0,
"lon": 0,
"userId": "string",
"organizationId": "string",
"createdAt": "2025-01-15T10:30:00.000Z",
"updatedAt": "2025-01-15T10:30:00.000Z"
}
],
"total": 0,
"page": 0,
"limit": 0,
"totalPages": 0
}
Create energyhub profile
Endpoint for POST /v1/energyhub-profiles.
Response
Request
curl -X POST https://api.enhub.nl/v1/energyhub-profiles \
-H "x-api-key: {your-api-key}"
Response (201 Created)
{
"id": "string",
"name": "string",
"baseProfileType": "string",
"baseProfileName": "string",
"totalKwh": 0,
"peakKw": 0,
"totalExportKwh": 0,
"peakExportKw": 0,
"layerCount": 0,
"hasSolarLayer": true,
"year": 0,
"lat": 0,
"lon": 0,
"userId": "string",
"organizationId": "string",
"createdAt": "2025-01-15T10:30:00.000Z",
"updatedAt": "2025-01-15T10:30:00.000Z"
}
Get energyhub profile detail
Endpoint for GET /v1/energyhub-profiles/{id}.
Path parameters
- Name
id- Type
- string
- required
- Description
No description available.
Response
Request
curl -G https://api.enhub.nl/v1/energyhub-profiles/{id} \
-H "x-api-key: {your-api-key}"
Response
{
"id": "string",
"name": "string",
"baseProfileType": "string",
"baseProfileName": "string",
"totalKwh": 0,
"peakKw": 0,
"totalExportKwh": 0,
"peakExportKw": 0,
"layerCount": 0,
"hasSolarLayer": true,
"year": 0,
"lat": 0,
"lon": 0,
"userId": "string",
"organizationId": "string",
"createdAt": "2025-01-15T10:30:00.000Z",
"updatedAt": "2025-01-15T10:30:00.000Z",
"sources": [
{
"id": "string",
"name": "string",
"sourceType": "template",
"direction": "consumption",
"annualKwh": 0,
"templateId": "string",
"profileKey": "string",
"category": "string",
"description": "string",
"enabled": true
}
],
"assets": [
{
"id": "string",
"assetType": "heat-pump",
"direction": "consumption",
"enabled": true,
"name": "string",
"config": null
}
]
}
Get energyhub chart data
Endpoint for GET /v1/energyhub-profiles/{id}/chart.
Path parameters
- Name
id- Type
- string
- required
- Description
No description available.
Query parameters
- Name
view- Type
- string
- Description
One of:
week,month,year.
- Name
startDate- Type
- string
- Description
No description available.
- Name
index- Type
- number
- Description
No description available.
Response
Request
curl -G https://api.enhub.nl/v1/energyhub-profiles/{id}/chart \
-H "x-api-key: {your-api-key}"
Export energyhub profile as CSV
Endpoint for GET /v1/energyhub-profiles/{id}/export-csv.
Path parameters
- Name
id- Type
- string
- required
- Description
No description available.
Response
Request
curl -G https://api.enhub.nl/v1/energyhub-profiles/{id}/export-csv \
-H "x-api-key: {your-api-key}"
Add energyhub source
Endpoint for POST /v1/energyhub-profiles/{id}/sources.
Path parameters
- Name
id- Type
- string
- required
- Description
No description available.
Optional attributes
- Name
sourceType- Type
- string
- Description
One of:
template,standard-profile.
- Name
templateId- Type
- string
- Description
No description available.
- Name
profileKey- Type
- string
- Description
No description available.
- Name
name- Type
- string
- Description
No description available.
- Name
direction- Type
- string
- Description
One of:
consumption,generation.
- Name
annualKwh- Type
- number
- Description
No description available.
- Name
data- Type
- number[]
- Description
No description available.
Response
Request
curl -X POST https://api.enhub.nl/v1/energyhub-profiles/{id}/sources \
-H "x-api-key: {your-api-key}" \
-H "Content-Type: application/json" \
-d '{
"sourceType": "template",
"templateId": "string",
"profileKey": "string",
"name": "string",
"direction": "consumption",
"annualKwh": 0,
"data": [
0
]
}'
Response (201 Created)
{
"id": "string",
"name": "string",
"baseProfileType": "string",
"baseProfileName": "string",
"totalKwh": 0,
"peakKw": 0,
"totalExportKwh": 0,
"peakExportKw": 0,
"layerCount": 0,
"hasSolarLayer": true,
"year": 0,
"lat": 0,
"lon": 0,
"userId": "string",
"organizationId": "string",
"createdAt": "2025-01-15T10:30:00.000Z",
"updatedAt": "2025-01-15T10:30:00.000Z"
}
Add energyhub source from CSV upload
Endpoint for POST /v1/energyhub-profiles/{id}/sources/upload.
Path parameters
- Name
id- Type
- string
- required
- Description
No description available.
Response
Request
curl -X POST https://api.enhub.nl/v1/energyhub-profiles/{id}/sources/upload \
-H "x-api-key: {your-api-key}"
Response (201 Created)
{
"id": "string",
"name": "string",
"baseProfileType": "string",
"baseProfileName": "string",
"totalKwh": 0,
"peakKw": 0,
"totalExportKwh": 0,
"peakExportKw": 0,
"layerCount": 0,
"hasSolarLayer": true,
"year": 0,
"lat": 0,
"lon": 0,
"userId": "string",
"organizationId": "string",
"createdAt": "2025-01-15T10:30:00.000Z",
"updatedAt": "2025-01-15T10:30:00.000Z"
}
Add energyhub asset
Endpoint for POST /v1/energyhub-profiles/{id}/assets.
Path parameters
- Name
id- Type
- string
- required
- Description
No description available.
Required attributes
- Name
assetType- Type
- string
- required
- Description
One of:
heat-pump,custom-consumption,pv,charging-plaza,production-upload.
Optional attributes
- Name
name- Type
- string
- Description
No description available.
- Name
direction- Type
- string
- Description
One of:
consumption,generation.
- Name
config- Type
- object
- Description
No description available.
Response
Request
curl -X POST https://api.enhub.nl/v1/energyhub-profiles/{id}/assets \
-H "x-api-key: {your-api-key}" \
-H "Content-Type: application/json" \
-d '{
"assetType": "heat-pump",
"name": "string",
"direction": "consumption",
"config": null
}'
Response (201 Created)
{
"id": "string",
"name": "string",
"baseProfileType": "string",
"baseProfileName": "string",
"totalKwh": 0,
"peakKw": 0,
"totalExportKwh": 0,
"peakExportKw": 0,
"layerCount": 0,
"hasSolarLayer": true,
"year": 0,
"lat": 0,
"lon": 0,
"userId": "string",
"organizationId": "string",
"createdAt": "2025-01-15T10:30:00.000Z",
"updatedAt": "2025-01-15T10:30:00.000Z"
}
Rename energyhub profile
Endpoint for PATCH /v1/energyhub-profiles/{id}.
Path parameters
- Name
id- Type
- string
- required
- Description
No description available.
Required attributes
- Name
name- Type
- string
- required
- Description
No description available.
Response
Request
curl -X PATCH https://api.enhub.nl/v1/energyhub-profiles/{id} \
-H "x-api-key: {your-api-key}" \
-H "Content-Type: application/json" \
-d '{
"name": "string"
}'
Response
{
"id": "string",
"name": "string",
"baseProfileType": "string",
"baseProfileName": "string",
"totalKwh": 0,
"peakKw": 0,
"totalExportKwh": 0,
"peakExportKw": 0,
"layerCount": 0,
"hasSolarLayer": true,
"year": 0,
"lat": 0,
"lon": 0,
"userId": "string",
"organizationId": "string",
"createdAt": "2025-01-15T10:30:00.000Z",
"updatedAt": "2025-01-15T10:30:00.000Z"
}
Update energyhub source
Endpoint for PATCH /v1/energyhub-profiles/{id}/sources/{sourceId}.
Path parameters
- Name
id- Type
- string
- required
- Description
No description available.
- Name
sourceId- Type
- string
- required
- Description
No description available.
Optional attributes
- Name
name- Type
- string
- Description
No description available.
- Name
enabled- Type
- boolean
- Description
No description available.
- Name
annualKwh- Type
- number
- Description
No description available.
Response
Request
curl -X PATCH https://api.enhub.nl/v1/energyhub-profiles/{id}/sources/{sourceId} \
-H "x-api-key: {your-api-key}" \
-H "Content-Type: application/json" \
-d '{
"name": "string",
"enabled": true,
"annualKwh": 0
}'
Response
{
"id": "string",
"name": "string",
"baseProfileType": "string",
"baseProfileName": "string",
"totalKwh": 0,
"peakKw": 0,
"totalExportKwh": 0,
"peakExportKw": 0,
"layerCount": 0,
"hasSolarLayer": true,
"year": 0,
"lat": 0,
"lon": 0,
"userId": "string",
"organizationId": "string",
"createdAt": "2025-01-15T10:30:00.000Z",
"updatedAt": "2025-01-15T10:30:00.000Z"
}
Update energyhub asset
Endpoint for PATCH /v1/energyhub-profiles/{id}/assets/{assetId}.
Path parameters
- Name
id- Type
- string
- required
- Description
No description available.
- Name
assetId- Type
- string
- required
- Description
No description available.
Optional attributes
- Name
name- Type
- string
- Description
No description available.
- Name
enabled- Type
- boolean
- Description
No description available.
- Name
config- Type
- object
- Description
No description available.
Response
Request
curl -X PATCH https://api.enhub.nl/v1/energyhub-profiles/{id}/assets/{assetId} \
-H "x-api-key: {your-api-key}" \
-H "Content-Type: application/json" \
-d '{
"name": "string",
"enabled": true,
"config": null
}'
Response
{
"id": "string",
"name": "string",
"baseProfileType": "string",
"baseProfileName": "string",
"totalKwh": 0,
"peakKw": 0,
"totalExportKwh": 0,
"peakExportKw": 0,
"layerCount": 0,
"hasSolarLayer": true,
"year": 0,
"lat": 0,
"lon": 0,
"userId": "string",
"organizationId": "string",
"createdAt": "2025-01-15T10:30:00.000Z",
"updatedAt": "2025-01-15T10:30:00.000Z"
}
Delete energyhub profile
Endpoint for DELETE /v1/energyhub-profiles/{id}.
Path parameters
- Name
id- Type
- string
- required
- Description
No description available.
Response
Request
curl -X DELETE https://api.enhub.nl/v1/energyhub-profiles/{id} \
-H "x-api-key: {your-api-key}"
Remove energyhub source
Endpoint for DELETE /v1/energyhub-profiles/{id}/sources/{sourceId}.
Path parameters
- Name
id- Type
- string
- required
- Description
No description available.
- Name
sourceId- Type
- string
- required
- Description
No description available.
Response
Request
curl -X DELETE https://api.enhub.nl/v1/energyhub-profiles/{id}/sources/{sourceId} \
-H "x-api-key: {your-api-key}"
Response
{
"id": "string",
"name": "string",
"baseProfileType": "string",
"baseProfileName": "string",
"totalKwh": 0,
"peakKw": 0,
"totalExportKwh": 0,
"peakExportKw": 0,
"layerCount": 0,
"hasSolarLayer": true,
"year": 0,
"lat": 0,
"lon": 0,
"userId": "string",
"organizationId": "string",
"createdAt": "2025-01-15T10:30:00.000Z",
"updatedAt": "2025-01-15T10:30:00.000Z"
}
Remove energyhub asset
Endpoint for DELETE /v1/energyhub-profiles/{id}/assets/{assetId}.
Path parameters
- Name
id- Type
- string
- required
- Description
No description available.
- Name
assetId- Type
- string
- required
- Description
No description available.
Response
Request
curl -X DELETE https://api.enhub.nl/v1/energyhub-profiles/{id}/assets/{assetId} \
-H "x-api-key: {your-api-key}"
Response
{
"id": "string",
"name": "string",
"baseProfileType": "string",
"baseProfileName": "string",
"totalKwh": 0,
"peakKw": 0,
"totalExportKwh": 0,
"peakExportKw": 0,
"layerCount": 0,
"hasSolarLayer": true,
"year": 0,
"lat": 0,
"lon": 0,
"userId": "string",
"organizationId": "string",
"createdAt": "2025-01-15T10:30:00.000Z",
"updatedAt": "2025-01-15T10:30:00.000Z"
}